Package com.google.gwt.user.client.ui

## Interface SourcesClickEvents

- All Known Implementing Classes:
    `Anchor`, `Audio`, `Button`, `ButtonBase`, `Canvas`, `CheckBox`, `CustomButton`, `DialogBox.CaptionImpl`, `DoubleBox`, `FileUpload`, `FocusPanel`, `FocusWidget`, `HTML`, `Hyperlink`, `Image`, `InlineHTML`, `InlineHyperlink`, `InlineLabel`, `IntegerBox`, `Label`, `ListBox`, `LongBox`, `MediaBase`, `PasswordTextBox`, `PushButton`, `RadioButton`, `ResetButton`, `RichTextArea`, `SimpleCheckBox`, `SimpleRadioButton`, `SubmitButton`, `SuggestBox`, `TextArea`, `TextBox`, `TextBoxBase`, `ToggleButton`, `ValueBox`, `ValueBoxBase`, `Video`

      @Deprecated
      public interface SourcesClickEvents

  Deprecated.
  use `HasClickHandlers` instead
  A widget that implements this interface sources the events defined by the `ClickListener` interface.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addClickListener​(ClickListener listener)` | Deprecated. use `addClickHandler` instead
    `void` | `removeClickListener​(ClickListener listener)` | Deprecated. Use the `HandlerRegistration.removeHandler()` method on the object returned by `HasClickHandlers.addClickHandler(com.google.gwt.event.dom.client.ClickHandler)` instead

- - ### Method Detail

    - #### addClickListener

          @Deprecated
          void addClickListener​(ClickListener listener)

      Deprecated.
      use `addClickHandler` instead
      Adds a listener interface to receive click events.
      Parameters:
        `listener` - the listener interface to add

    - #### removeClickListener

          @Deprecated
          void removeClickListener​(ClickListener listener)

      Deprecated.
      Use the `HandlerRegistration.removeHandler()` method on the object returned by `HasClickHandlers.addClickHandler(com.google.gwt.event.dom.client.ClickHandler)` instead
      Removes a previously added listener interface.
      Parameters:
        `listener` - the listener interface to remove